package sendaround

import (
	"errors"

	"github.com/icedream/sendaround/internal"
)

var (
	ErrFileNotFound      = errors.New("file not found")
	ErrFileAlreadyExists = errors.New("file already exists")
	ErrInvalidState      = errors.New("invalid state")

	// from internal package (lower-level errors)
	ErrProtocolViolation             = internal.ErrProtocolViolation
	ErrClientClosedConnection        = internal.ErrClientClosedConnection
	ErrUnexpectedRawDataTransmission = internal.ErrUnexpectedRawDataTransmission
	ErrUnexpectedOverlongRawData     = internal.ErrUnexpectedOverlongRawData
)
